## com.google.gwt.user.client.ui
Interface SourcesFocusEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  FocusPanel, FocusWidget, SuggestBox, Tree

public interface SourcesFocusEvents

A widget that implements this interface sources the events defined by the `FocusListener` interface.

Method Summary
`void` `addFocusListener(FocusListener listener)` Adds a listener interface to receive mouse events.
`void` `removeFocusListener(FocusListener listener)` Removes a previously added listener interface.

Method Detail

### addFocusListener

    public void addFocusListener(FocusListener listener)

  Adds a listener interface to receive mouse events.

  Parameters:
    `listener` - the listener interface to add

### removeFocusListener

    public void removeFocusListener(FocusListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove